org.codehaus.groovy.syntax

## Class RuntimeParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - org.codehaus.groovy.syntax.RuntimeParserException

- All Implemented Interfaces:
    java.io.Serializable

      public class RuntimeParserException
      extends GroovyRuntimeException

  A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeParserException(java.lang.String message, ASTNode node)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `throwParserException()`

    - ### Methods inherited from class groovy.lang.GroovyRuntimeException

      `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeParserException

          public RuntimeParserException(java.lang.String message,
                                        ASTNode node)

  - ### Method Detail

    - #### throwParserException

          public void throwParserException()
                                    throws SyntaxException

      Throws:
        `SyntaxException`